package test.appProfConverter.dcworms;
public class SoftwarePhase {
	public String RefNode;
	public Integer RefCores;
	public Double RefFreq;
	public Double RefUpload; // Network max upload speed
	public Double RefDownload; // Network max download speed
	public Double RefDiskBW; // Disk Bandwidth
	public Double PM_Power;
	public Double PM_Disk_IO;
	public Double PM_Memory_RSS;
	public Double PM_Download;
	public Double PM_CPU_Usage;
	public Integer PM_Threads;
	public Double PM_Memory_Usage;
	public Double PM_Upload;
	public Integer Duration;

	public SoftwarePhase(SoftwarePhase other) {
		this.RefNode = other.RefNode;
		this.RefCores = other.RefCores;
		this.RefFreq = other.RefFreq;
		this.RefUpload = other.RefUpload;
		this.RefDownload = other.RefDownload;
		this.RefDiskBW = other.RefDiskBW;
		this.PM_Power = other.PM_Power;
		this.PM_CPU_Usage = other.PM_CPU_Usage;
		this.PM_Memory_RSS = other.PM_Memory_RSS;
		this.PM_Memory_Usage = other.PM_Memory_Usage;
		this.PM_Disk_IO = other.PM_Disk_IO;
		this.PM_Download = other.PM_Download;
		this.PM_Threads = other.PM_Threads;
		this.PM_Upload = other.PM_Upload;
		this.Duration = other.Duration;
	}

	public SoftwarePhase() {
		this.RefNode = "";
		this.RefCores = 1;
		this.RefFreq = 0.0;
		this.RefUpload = 0.0;
		this.RefDownload = 0.0;
		this.RefDiskBW = 0.0;
		this.PM_Power = 0.0;
		this.PM_CPU_Usage = 0.0;
		this.PM_Memory_RSS = 0.0;
		this.PM_Memory_Usage = 0.0;
		this.PM_Disk_IO = 0.0;
		this.PM_Download = 0.0;
		this.PM_Upload = 0.0;
		this.PM_Threads = 1;
		this.Duration = 0;
	}

}
